Skip to main content
GET
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

rollout_id
string<uuid>
required

Response

Successful Response

One rollout record for one target.

id
string<uuid>
required
target_id
string<uuid> | null
required
workspace_id
string<uuid>
required
kind
enum<string>
required

What a rollout record does to its target workspace.

Available options:
apply,
unassign
status
enum<string>
required

Lifecycle of one rollout record for one target workspace.

Available options:
previewing,
ready,
no_changes,
blocked,
needs_references,
applying,
applied,
failed,
stale
tag
string | null
required
commit_sha
string | null
required
preview
RolloutPreview · object | null
required

Everything an FDE reviews before applying a tag to one target.

error
string | null
required
created_at
string<date-time>
required
applied_at
string<date-time> | null
required